/**
  *  \file client/dialogs/buildqueuesummary.h
  *  \brief Build Queue Summary Dialog
  *
  *  (c) 2001-2022 Stefan Reuther <Streu@gmx.de>
  *
  *  This program is free software; you can redistribute it and/or
  *  modify it under the terms of file `COPYING' that comes with the
  *  source code.
  *
  *  This program is distributed in the hope that it will be useful,
  *  but WITHOUT ANY WARRANTY; without even the implied warranty of
  *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
  */
#ifndef PCC_V2_CLIENT_DIALOGS_BUILDQUEUESUMMARY_H
#define PCC_V2_CLIENT_DIALOGS_BUILDQUEUESUMMARY_H

#include "game/actions/changebuildqueue.h"

/** Build Queue Summary Dialog.

    Displays a summary of GChangeBuildQueue::Infos_t):
    - totals by action
    - totals by hull type

    \param infos       Information to display */
void doBuildQueueSummaryDialog(const GChangeBuildQueue::Infos_t& infos);

#endif
