/**
  *  \file client/tiles/minepassage.h
  *
  *  (c) 2001-2022 Stefan Reuther <Streu@gmx.de>
  *
  *  This program is free software; you can redistribute it and/or
  *  modify it under the terms of file `COPYING' that comes with the
  *  source code.
  *
  *  This program is distributed in the hope that it will be useful,
  *  but WITHOUT ANY WARRANTY; without even the implied warranty of
  *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
  */
#ifndef PCC_V2_CLIENT_TILES_MINEPASSAGE_H
#define PCC_V2_CLIENT_TILES_MINEPASSAGE_H

#include "client/wtile.h"
#include "ui/widgets/button.h"

class WMinefieldPassageTile : public WObjectSelectionObserverTile {
    SignalConnection conn_scroll;
    int move_radius;
    UIButton button_inc, button_dec;
 public:
    WMinefieldPassageTile(GObjectSelection& selection);
    void drawData(GfxCanvas& can);
    void setMoveRadius(int n);
    void onScroll();
    bool handleEvent(const UIEvent& e, bool second_pass);
};

#endif
