/**
  *  \file client/widgets/commandlist.h
  *
  *  (c) 2001-2022 Stefan Reuther <Streu@gmx.de>
  *
  *  This program is free software; you can redistribute it and/or
  *  modify it under the terms of file `COPYING' that comes with the
  *  source code.
  *
  *  This program is distributed in the hope that it will be useful,
  *  but WITHOUT ANY WARRANTY; without even the implied warranty of
  *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
  */
#ifndef PCC_V2_CLIENT_WIDGETS_COMMANDLIST_H
#define PCC_V2_CLIENT_WIDGETS_COMMANDLIST_H

#include "ui/listbox.h"

class GCommandContainer;
class GCommand;

/** Command List widget. Displays the content of a GCommandContainer and offers
    operations to edit it.

    Raises sig_moved not only when the cursor moves, but also when the user
    edits something. */
class WCommandList : public UIListbox {
    GCommandContainer& container;

    void update();
    void edit(string_t s);
 public:
    WCommandList(GCommandContainer& container);
    ~WCommandList();

    void drawPart(GfxCanvas& can, int from, int to);
    bool handleEvent(const UIEvent& event, bool second_pass);

    void deleteCurrent();
    void editCurrent();
    void editNew();

    const GCommand* getCurrentCommand();
};

#endif
