/**
  *  \file int/if/iterif.h
  *
  *  (c) 2001-2022 Stefan Reuther <Streu@gmx.de>
  *
  *  This program is free software; you can redistribute it and/or
  *  modify it under the terms of file `COPYING' that comes with the
  *  source code.
  *
  *  This program is distributed in the hope that it will be useful,
  *  but WITHOUT ANY WARRANTY; without even the implied warranty of
  *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
  */
#ifndef PCC_V2_INT_IF_ITERIF_H
#define PCC_V2_INT_IF_ITERIF_H

#include "int/context.h"

class IntValue;
class IntArgBlock;
class GObjectSelection;
class GObjectType;

IntValue* IFIteratorGet(IntArgBlock& args);

GObjectSelection* getObjectSelectionFromIteratorId(int32_t id);
GObjectType*      getObjectTypeFromIteratorId(int32_t id);

class IntIteratorContext : public IntSingleContext {
    GObjectType& type;
    uint32_t id;
 public:
    IntIteratorContext(GObjectType& type, uint32_t id);
    ~IntIteratorContext();

    // IntContext:
    int32_t     lookup(const IntNameQuery& name);
    void        set(int32_t index, IntValue* value);
    IntValue*   get(int32_t index);
    IntContext* clone();
    GObject*    getObject();
    string_t    toString(bool readable);
    void        store(IntTagNode& sv, Stream& aux);
    void        enumProperties(IntPropertyAcceptor& acceptor);
};

#endif
